chippu
Sr. メンバー
オフライン
投稿: 79
I'm a llama!
|
|
SW APIについて
« 投稿日: 2005/06/23 - 15:22:40 » |
|
こんにちわ。SolidWorksの注記アノテートアイテムをマクロで挿入しようと思います。その際に、挿入しようとする注記の文字ポイントをマクロ内で設定したいのですがどうしたらよろしいでしょうか??具体的に教えて頂けたら幸いです。
|
|
|
|
hisa
カタマリの王様!?
オフライン
投稿: 507
PANDA-Z!!
|
|
Re:SW APIについて
« 返信 #1 投稿日: 2005/06/23 - 15:38:15 » |
|
こんにちは
アノテートアイテムの文字サイズは、Annotation::SetTextFormatで変更します。 このメソッドのtextFormat引数は、あらかじめtextFormatオブジェクトを作成し TextFormat::CharHeightInPtsにてポイントを変更する必要があります。 (もちろん設定はポイントだけではありません)
詳しくは、APIヘルプのAnnotation::SetTextFormatのページ上部に『例』のリンクが あるので、そちらを見てみると良いかもしれません
|
|
|
|
chippu
Sr. メンバー
オフライン
投稿: 79
I'm a llama!
|
|
Re:SW APIについて
« 返信 #2 投稿日: 2005/06/23 - 15:49:14 » |
|
Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc
Dim Note As Object Dim Annotation As Object Dim TextFormat As Object Dim retval As Variant Dim I As String
I = UserForm1.TextBox1 Set Note = Part.InsertNote(I)
実際にはこのあとまだ続いているのですが、この時点で文字ポイントを変更するにはどうしたら宜しいのでしょうか?
|
|
|
|
hisa
カタマリの王様!?
オフライン
投稿: 507
PANDA-Z!!
|
|
Re:SW APIについて
« 返信 #3 投稿日: 2005/06/23 - 16:06:52 » |
|
引用:Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc
Dim Note As Object Dim Annotation As Object Dim TextFormat As Object Dim retval As Variant Dim I As String
I = UserForm1.TextBox1
Set Note = Part.InsertNote(I)
|
Set Annotation = Note.GetAnnotation
===以下APIヘルプ引用=== For j = 0 To Annotation.GetTextFormatCount - 1 Set swTextFormat = Annotation.GetTextFormat(j)
' Change text to be 10Pt high, bold, italic, and Comic Sans MS font face swTextFormat.CharHeightInPts = 10 swTextFormat.Bold = True swTextFormat.Italic = True swTextFormat.TypeFaceName = "Comic Sans MS" bRet = Annotation.SetTextFormat(j, False, swTextFormat): Debug.Assert bRet Next
てな具合でどうでしょう? 試していませんが…
|
|
|
|
chippu
Sr. メンバー
オフライン
投稿: 79
I'm a llama!
|
|
Re:SW APIについて
« 返信 #4 投稿日: 2005/06/24 - 09:57:38 » |
|
ありがとうございまいた。色々試してみた結果出来ました。 感謝。
|
|
|
|